cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

AMA-CUCM Troubleshooting: Best Practices for Reading Trace Files

372
Views
15
Helpful
7
Replies
Beginner

Upgrading IP Phone Firmware on CUCM 7.1.3 to CUCM 10.5

I have a customer that would like to upgrade their phone firmware prior to migrating from 7.1.3 to 10.5. 

Can we do a staged upgrade to 8.5(2) then to 10.5(2) on the current CUCM 7.1.3 so all phones are upgraded prior to 10.5 upgrade?

Customer would like to have the phones upgraded a couple weeks before the actual migration.

Thank you.

Bob

7 REPLIES 7
Cisco Employee

Bob without any doubt you can

Bob without any doubt you can upgrade the phone firmware to what is there in 10.5 CM before performing the actual upgrade. In fact this is one of the approach that most of the customers take in order to avoid post upgrade delays that are usually there for the phones to upgrade to the new firmware. You can check the release notes of exact CM version you are planning to upgrade and then look for the FW version which will be there after upgrade and then do it for the phones.

Regards

Deepak

Beginner

Thank you Deepak -  Only

Thank you Deepak -  Only issue is, from the release notice I read, you need to upgrade to 8.5(2) firmware first; however, that version is not available on Cisco.com.  So, can they upgrade to 8.6(2).26169-1 then 10.5(2).14082-1?

Thank you.

Bob

Beginner

Hi Bob,

Hi Bob,

There seems to be a little confusion with this one.  You appear to be talking about Call Manager versions and not phone firmware versions.  As you are currently on a pre 8 CUCM you will need to first upgrade to 8.6 not 8.5(2).  To do this you will need to check if your current phone firmware version is supported in 8.6.  If not, then you will need to upgrade the phones first before going to 8.6.

http://docwiki.cisco.com/wiki/CUCM_Upgrades_and_Migrations_FAQ#Can_I_upgrade_directly_from_an_8.x_release_to_10.x_or_11.x.3F.3F

Then once that is complete you are able to complete the upgrade to 10.5 or even 11, again following the same procedure.  Upgrade Phone Firmware first.

Another question is why Upgrade?  Surely if you are currently running version 7 its running on old hardware.  It would make more sense to migrate to a new platform running 10.5 or 11.  Create a new Cluster and migrate phones over to it in batches.  Cisco usually have promotions to encourage upgrades especially when UCS Servers are involved.  We had a great deal when we moved from 4 to 9.  It might be worth checking that route especialy if your running on the older MCS Servers.

If the upgrade is the way to go for you, please post details of the phones you have and firmware versions.  Please note that the 79X0 models of SCCP phones are no longer supported in 10.5 upwards.

Hope this helps.

Thanks

Rob

Beginner

Thank you all for the support

Thank you all for the support....excellent assistance...Greatly appreciate.

Highlighted
Beginner

I would also advise that you

I would also advise that you load 8-5-2 firmware into your CUCM 10.5 and use the corresponding termXX.default.loads files to future proof the phones in the event any of them need factory resets down the road. Without this, the phone will get stuck in a loop after a factory reset. I brought a lot of phones 'back from the grave' with this extra step.

Hall of Fame Community Legend

Hey Mike,

Hey Mike,

Hope all is well my friend!

That is a great tip that will certainly help others going down the road (+5)

Cheers!

Rob

Hall of Fame Community Legend

Hi Bob,

Hi Bob,

I just wanted to add a couple of notes to the good tips from my friends Deepak and Rob S. (+5 each!)

As noted, it is a great idea to upgrade the phone firmware to an end/matching version prior to the actual CUCM upgrade. Your query is basically related to this (below) very fussy firmware version requirement and has nothing to do with the CUCM versions;

Firmware Upgrade Issues

For all SCCP and SIP firmware upgrades from firmware release versions earlier than 8.3(3) to version 8.5(2)SR1 or greater, you must first upgrade your firmware to version 8.5(2). Once you have upgraded to version 8.5(2), you can upgrade your IP Phone to version 8.5(2)SR1 or later. Refer to the Firmware Versions in this Release section of this document to determine the firmware load provided in this SU. For additional details, Firmware Upgrade Instructions, and Firmware Download locations please see: SCCP

http://www.cisco.com/c/en/us/td/docs/voice_ip_comm/cuipph/firmware/8_5_2/english/release/notes/7900_852SR1.html#wp57602

So, the first thing you need to determine is what current firmware version the phones on CUCM 7.1.3 are running, You can find this information on the Device Defaults page from CUCM admin.

http://www.cisco.com/c/en/us/td/docs/voice_ip_comm/cucm/admin/7_1_2/ccmcfg/bccm-712-cm/b06devic.html

If the phones are running a firmware earlier than 8-5-2 then the note above kicks in and you will need to do two firmware upgrades (one to 8-5-2 and one to the the desired end version)

The next thing you would need to determine is what end firmware version you want to match on the CUCM 10.5 version. So, for example, if your final CUCM 10.5 version was going to be 10.5.2su2 you would look at the release notes for that version to see what firmware versions the phones are going to want to load. If the phones were primarily 7942/62's you would see that CUCM 10.5.2su2 uses;

7942_7962-sccp 7942_7962-sccp.9-4-2-1 9.4(2.1)

From the release notes;

http://www.cisco.com/web/software/282074295/125179/cucm-readme-1052su2-Rev2.pdf

So last but not least, you would download/install SCCP firmware cmterm-7942_7962-sccp.9-4-2SR1-1.cop.sgn and upgrade the phone firmware on CUCM 7.1.3 to that version so that at the end of the day it matches what you finally want to be running when you upgrade to CUCM 10.5.2.

Sounds complicated but it's really just a matter of doing some due diligence prior to the final upgrade/migration that can save some HUGE pain points during the maintenance window.

Cheers!

Rob

PS: as Rob S. nicely noted you will want to keep tabs on this Field Notice going forward;

http://www.cisco.com/c/en/us/td/docs/voice_ip_comm/cucm/rel_notes/11_5_1/fieldNotice/cucm_b_fn-deprecated-phone-models-1151.html

CreatePlease to create content
Content for Community-Ad
August's Community Spotlight Awards
This widget could not be displayed.